Bug 74133 - [REPOCOPY] japanese/eb: Update to 4.1.1
Summary: [REPOCOPY] japanese/eb: Update to 4.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Norikatsu Shigemura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-19 21:20 UTC by Yasuhiro Kimura
Modified: 2004-12-26 11:30 UTC (History)
0 users

See Also:


Attachments
patch-usr::port::japanese::eb (32.01 KB, text/plain)
2004-11-19 21:20 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2004-11-19 21:20:26 UTC
	

	Update to 4.1.1. Since this is major version update and shlib number
	of libeb.so is also changed (from 7 to 9), following steps should be
	taken:

	1. Repocopy japanese/eb to japanese/eb3.
	2. Update japanese/eb to 4.1.1.
	3. Update LIB_DEPENDS and bump PORTREVISION in the Makefile of
           following ports which depend on japanese/eb.
		japanese/eblook
		japanese/ebnetd
		japanese/ebview
		japanese/ebview-gtk2
		japanese/ruby-eb
	4. Warn maintainers of ports above that japanese/eb is major updated
	   and that japanese/eb3 can be used instead of japanese/eb in case
	   of library compatibility issue.
	5. Wait for a while and remove japanese/eb3 if no problem happens.
Comment 1 Norikatsu Shigemura freebsd_committer 2004-11-20 00:55:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this.
Comment 2 Yasuhiro Kimura freebsd_committer 2004-11-25 19:57:32 UTC
I found that following additional patch is needed on 5.3-RELEASE (and
probably 5-STABLE and 6-CURRENT). So please merge it with initial
patch.

diff -Nru japanese/eb-4.1.1/files/patch-po-eb::Makefile.in japanese/eb/files/patch-po-eb::Makefile.in
--- japanese/eb-4.1.1/files/patch-po-eb::Makefile.in	Thu Jan  1 09:00:00 1970
+++ japanese/eb/files/patch-po-eb::Makefile.in	Fri Nov 26 04:30:04 2004
@@ -0,0 +1,11 @@
+--- po-eb/Makefile.in.dist	Fri Nov 26 04:25:38 2004
++++ po-eb/Makefile.in	Fri Nov 26 04:27:28 2004
+@@ -32,7 +32,7 @@
+ mkdir_p = @mkdir_p@
+ INSTALL = @INSTALL@
+ INSTALL_DATA = @INSTALL_DATA@
+-mkinstalldirs = $(mkdir_p)
++mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+ 
+ MSGFMT = @MSGFMT@
+ XGETTEXT = @XGETTEXT@
diff -Nru japanese/eb-4.1.1/files/patch-po-ebutils::Makefile.in japanese/eb/files/patch-po-ebutils::Makefile.in
--- japanese/eb-4.1.1/files/patch-po-ebutils::Makefile.in	Thu Jan  1 09:00:00 1970
+++ japanese/eb/files/patch-po-ebutils::Makefile.in	Fri Nov 26 04:30:32 2004
@@ -0,0 +1,11 @@
+--- po-ebutils/Makefile.in.dist	Fri Nov 26 04:27:42 2004
++++ po-ebutils/Makefile.in	Fri Nov 26 04:27:53 2004
+@@ -48,7 +48,7 @@
+ mkdir_p = @mkdir_p@
+ INSTALL = @INSTALL@
+ INSTALL_DATA = @INSTALL_DATA@
+-mkinstalldirs = $(mkdir_p)
++mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+ 
+ MSGFMT = @MSGFMT@
+ XGETTEXT = @XGETTEXT@
Comment 3 Norikatsu Shigemura freebsd_committer 2004-12-23 11:01:37 UTC
State Changed
From-To: open->repocopy

Please repocopy following port. 
ports/japanese/eb(ORIGINAL) to ports/japanese/eb3(NEW) 


Comment 4 Norikatsu Shigemura freebsd_committer 2004-12-23 11:01:37 UTC
Responsible Changed
From-To: nork->portmgr

Please repocopy following port. 
ports/japanese/eb(ORIGINAL) to ports/japanese/eb3(NEW)
Comment 5 Joe Marcus Clarke freebsd_committer 2004-12-26 05:14:28 UTC
State Changed
From-To: repocopy->open

Repo-copy complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2004-12-26 05:14:28 UTC
Responsible Changed
From-To: portmgr->nork

Repo-copy complete.
Comment 7 Norikatsu Shigemura freebsd_committer 2004-12-26 11:30:28 UTC
State Changed
From-To: open->closed

Committed, thanks!